--     ____                _       __               
--    / __ )____  _____   | |     / /___ ___________
--   / __  / __ \/ ___/   | | /| / / __ `/ ___/ ___/
--  / /_/ / /_/ (__  )    | |/ |/ / /_/ / /  (__  ) 
-- /_____/\____/____/     |__/|__/\__,_/_/  /____/  
--                                              
--       A futuristic real-time strategy game.
--          This file is part of Bos Wars.
--
--	unit-wiids.lua	-	Define the wiids units.
--
--	(c) Copyright 2005 by Los Taulelle, Graphics by TimberDragon.
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--
--	$Id: unit-wiids.lua 85 2007-12-13 22:15pm rg $

-- Define, Animation and Construction for all wiids

DefineAnimations("animations-wiids", {
	Still = {"frame 0", "wait 1", },
})

DefineConstruction("construction-wiids", {
	Constructions = {
		{Percent = 0, File = "main", Frame = 0},
	}
})

-- wiid-1

DefineUnitType("unit-wiid-1", {
    Name = "wiid-1",
    Image = {"file", "units/wiids/wiid_1.png", "size", {64, 64}},
    Offset = {0, -15},
    Shadow = {"file", "units/wiids/wiid_1s.png", "size", {64, 64}},
    Animations = "animations-wiids",
    Icon = "icon-wiid-1",
    Construction = "construction-wiids",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {52, 52},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-wiid-1",
    Size = {46, 38},
    Frame = 0,
    File = "units/wiids/wiid_1i.png"})

DefineAllow("unit-wiid-1", AllowAll)

-- wiid-2

DefineUnitType("unit-wiid-2", {
    Name = "wiid-2",
    Image = {"file", "units/wiids/wiid_2.png", "size", {64, 64}},
    Offset = {0, -15},
    Shadow = {"file", "units/wiids/wiid_2s.png", "size", {64, 64}},
    Animations = "animations-wiids",
    Icon = "icon-wiid-2",
    Construction = "construction-wiids",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {52, 52},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-wiid-2",
    Size = {46, 38},
    Frame = 0,
    File = "units/wiids/wiid_2i.png"})

DefineAllow("unit-wiid-2", AllowAll)

-- wiid-3

DefineUnitType("unit-wiid-3", {
    Name = "wiid-3",
    Image = {"file", "units/wiids/wiid_3.png", "size", {64, 64}},
    Offset = {0, -15},
    Shadow = {"file", "units/wiids/wiid_3s.png", "size", {64, 64}},
    Animations = "animations-wiids",
    Icon = "icon-wiid-3",
    Construction = "construction-wiids",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {52, 52},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-wiid-3",
    Size = {46, 38},
    Frame = 0,
    File = "units/wiids/wiid_3i.png"})

DefineAllow("unit-wiid-3", AllowAll)


